import {h, Component} from 'preact'
import {DesktopNav} from './desktop'
import {MobileNav} from './mobile'

export function Nav (props) {
  return (
    <span>
      <style dangerouslySetInnerHTML={{__html: `
        @media(min-width: 1220px) {
          .m-nav-mobile {
            display: none;
            pointer-events: none;
          }
        }
        @media(max-width: 1219px) {
          .m-nav-desktop {
            display: none;
            pointer-events: none;
          }
        }
      `}} />
      {h(MobileNav, props)}
      {h(DesktopNav, props)}
    </span>
  )
}
